import requests
import json
import time

start_time = time.time()
# flask_url = 'http://127.0.0.1:5000/transcribe'
# sensevoice调用地址
# flask_url = 'http://122.51.206.54:4578/transcribe'
# flask_url = 'http://122.51.206.54:5000/transcribe'
# whisperv3调用地址
flask_url = 'http://122.51.206.54:4900/whisper'
# 文件地址
# audio_url = 'https://cm-1255337128.cos.ap-guangzhou.myqcloud.com/asr-service/Chinese.wav'
# audio_url = 'https://cm-1255337128.cos.ap-guangzhou.myqcloud.com/asr-service/20241213-fllxt32b.wav' # 中文
# audio_url = 'https://cm-1255337128.cos.ap-guangzhou.myqcloud.com/asr-service/20241213-vahlmelz.wav' # 中文2
# audio_url = 'https://cm-1255337128.cos.ap-guangzhou.myqcloud.com/asr-service/20241213-dtvoq4va.wav' # 英文
audio_url = 'https://cm-1255337128.cos.ap-guangzhou.myqcloud.com/asr-service/20241213-jy2hk0qf.wav' # 粤语
# audio_url = 'https://cm-1255337128.cos.ap-guangzhou.myqcloud.com/asr-service/20241213-8akzhpov.wav' # 日文

# audio_url = "D:/Work/whisper/Chinese.wav"
# audio_url = "D:/Work/whisper/English.wav"
# audio_url = "D:/Work/whisper/Cantonese.wav'"
# audio_url = "D:/Work/whisper/Japanese.wav"

# 发送 POST 请求
response = requests.post(
    flask_url,
    json={'audio_url': audio_url}
)

# 处理响应
if response.status_code == 200:
    result = response.json()
    print("Transcribed Text:", result['text'])

else:
    print("Error:", response.json())
end_time = time.time()
elapsed_time = end_time - start_time
print(f"代码块运行时长: {elapsed_time:.6f} 秒")

